Index: trunk/SophyaLib/TArray/Makefile
===================================================================
--- trunk/SophyaLib/TArray/Makefile	(revision 2444)
+++ trunk/SophyaLib/TArray/Makefile	(revision 2743)
@@ -1,111 +1,175 @@
-include ../Mgr/Makefile.h
+include ../BuildMgr/sophyamake.inc
  
-all: $(LIB)libTArray.a
+all: $(SOPHYALIBP)libTArray.a
+ 
 clean:
-	rm -f $(OBJ)basarr.o $(OBJ)fioarr.o $(OBJ)matharr.o $(OBJ)sopemtx.o $(OBJ)tarray.o $(OBJ)tarrinit.o $(OBJ)tmatrix.o $(OBJ)toeplitzMatrix.o $(OBJ)tvector.o $(OBJ)utilarr.o
-	rm -f $(LIB)libTArray.a
-$(LIB)libTArray.a : $(OBJ)basarr.o $(OBJ)fioarr.o $(OBJ)matharr.o $(OBJ)sopemtx.o $(OBJ)tarray.o $(OBJ)tarrinit.o $(OBJ)tmatrix.o $(OBJ)toeplitzMatrix.o $(OBJ)tvector.o $(OBJ)utilarr.o
-	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
-ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
-endif 
+	 rm -f $(SOPHYAOBJP)basarr.o $(SOPHYAOBJP)fioarr.o $(SOPHYAOBJP)matharr.o $(SOPHYAOBJP)sopemtx.o $(SOPHYAOBJP)tarray.o $(SOPHYAOBJP)tarrinit.o $(SOPHYAOBJP)tmatrix.o $(SOPHYAOBJP)toeplitzMatrix.o $(SOPHYAOBJP)tvector.o $(SOPHYAOBJP)utilarr.o
+	rm -f $(SOPHYALIBP)libTArray.a
  
-$(OBJ)basarr.o: basarr.cc $(INC)machdefs.h \
- $(INC)pexceptions.h basarr.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)gnumd5.h
-$(OBJ)fioarr.o: fioarr.cc $(INC)pexceptions.h \
- $(INC)machdefs.h \
- $(INC)fiondblock.h \
- $(INC)ppersist.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h \
- $(INC)anydataobj.h fioarr.h tarray.h \
- basarr.h $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h utilarr.h tmatrix.h tvector.h \
- $(INC)datatype.h
-$(OBJ)matharr.o: matharr.cc $(INC)machdefs.h \
- matharr.h tarray.h basarr.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h utilarr.h
-$(OBJ)sopemtx.o: sopemtx.cc $(INC)machdefs.h \
- sopemtx.h tmatrix.h tarray.h basarr.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h utilarr.h tvector.h \
- $(INC)smathconst.h
-$(OBJ)tarray.o: tarray.cc $(INC)machdefs.h \
- $(INC)pexceptions.h tarray.h basarr.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h utilarr.h
-$(OBJ)tarrinit.o: tarrinit.cc $(INC)machdefs.h \
- tarrinit.h $(INC)sophyainit.h fioarr.h \
- tarray.h basarr.h $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h utilarr.h tmatrix.h \
- tvector.h
-$(OBJ)tmatrix.o: tmatrix.cc $(INC)machdefs.h \
- $(INC)pexceptions.h tmatrix.h tarray.h \
- basarr.h $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h utilarr.h
-$(OBJ)toeplitzMatrix.o: toeplitzMatrix.cc toeplitzMatrix.h \
- $(INC)machdefs.h \
- $(INC)nbmath.h \
- $(INC)smathconst.h \
- $(INC)timing.h array.h tarray.h basarr.h \
- $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)pexceptions.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h utilarr.h tmatrix.h \
- tvector.h matharr.h fioarr.h sopemtx.h \
- $(INC)fftservintf.h \
- $(INC)tmatrix.h \
- $(INC)tvector.h \
- $(INC)fftpserver.h
-$(OBJ)tvector.o: tvector.cc $(INC)machdefs.h \
- $(INC)pexceptions.h tvector.h tmatrix.h \
- tarray.h basarr.h $(INC)anydataobj.h \
- $(INC)mutyv.h \
- $(INC)dvlist.h \
- $(INC)objfio.h \
- $(INC)ppersist.h \
- $(INC)gnumd5.h \
- $(INC)ndatablock.h utilarr.h
-$(OBJ)utilarr.o: utilarr.cc $(INC)machdefs.h \
- utilarr.h $(INC)mutyv.h \
- $(INC)srandgen.h
+$(SOPHYALIBP)libTArray.a : $(SOPHYAOBJP)basarr.o $(SOPHYAOBJP)fioarr.o $(SOPHYAOBJP)matharr.o $(SOPHYAOBJP)sopemtx.o $(SOPHYAOBJP)tarray.o $(SOPHYAOBJP)tarrinit.o $(SOPHYAOBJP)tmatrix.o $(SOPHYAOBJP)toeplitzMatrix.o $(SOPHYAOBJP)tvector.o $(SOPHYAOBJP)utilarr.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)basarr.o: basarr.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fioarr.o: fioarr.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)fiondblock.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)anydataobj.h fioarr.h \
+  tarray.h basarr.h $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h utilarr.h tmatrix.h \
+  tvector.h $(SOPHYAINCP)datatype.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)matharr.o: matharr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h matharr.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)sopemtx.o: sopemtx.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h sopemtx.h \
+  tmatrix.h tarray.h basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h \
+  tvector.h $(SOPHYAINCP)smathconst.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)tarray.o: tarray.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)tarrinit.o: tarrinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h fioarr.h \
+  tarray.h basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h \
+  tmatrix.h tvector.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)tmatrix.o: tmatrix.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h tmatrix.h \
+  tarray.h basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)toeplitzMatrix.o: toeplitzMatrix.cc \
+  $(SOPHYAINCP)sopnamsp.h toeplitzMatrix.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)nbmath.h \
+  $(SOPHYAINCP)smathconst.h \
+  $(SOPHYAINCP)timing.h array.h tarray.h \
+  basarr.h $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h \
+  tmatrix.h tvector.h matharr.h fioarr.h sopemtx.h \
+  $(SOPHYAINCP)fftservintf.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)fftpserver.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)tvector.o: tvector.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h tvector.h \
+  tmatrix.h tarray.h basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)utilarr.o: utilarr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h utilarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)srandgen.h
+	$(CXXCOMPILE) -o $@ $<
+ 
